Packages instalation (new driver)

Preprocessing

Be aware of the workspace chaining when you are switching from old driver to the new one. If you observe the compilation error in simple_messages you have probably created the chained workspace instead of separate one.
To avoid these problem call source /opt/ros/hydro/setup.bash before crating the new ROS workspace and replace automatic sourcing in your ~/.bashrc file.

System dependencies

#ROS hydro
sudo apt-get install ros-hydro-desktop-full ros-hydro-moveit-full ros-hydro-robot-state-publisher ros-hydro-cmake-modules
sudo apt-get install python-wstool timelimit

#For robot driver
sudo apt-get install ros-hydro-industrial-msgs ros-hydro-industrial-robot-client ros-hydro-motoman-driver

#For robot head
sudo apt-get install libglew1.6 libglew1.6-dev libdevil1C2 libdevil-dev gphoto2 libgphoto2-2 libgphoto2-2-dev 
sudo apt-get install matlab-support ros-hydro-ar-track-alvar

Core components

Core components (testbed)

Requires: system libraries listed above
- git: {local-name: clopema_drivers, uri: 'git@clopema.felk.cvut.cz:clopema_drivers.git', version: indigo-devel}
- git: {local-name: clopema_testbed, uri: 'git@clopema.felk.cvut.cz:clopema_testbed.git', version: indigo-devel}

Robot Head components

Requires: clopema_testbed
- git: {local-name: clopema_robothead, uri: 'git@clopema.felk.cvut.cz:clopema_robothead.git', version: hydro-devel}

Certh libraries (requires read permission to certh repository)

Requires: clopema_testbed
- git: {local-name: clopema_certh, uri: 'git@vision.iti.gr:/opt/git/clopema_certh.git', version: master}

Optional modules and their dependencies on the core component

Folding

Requires: clopema_testbed
- git: {local-name: clopema_folding, uri: 'git@clopema.felk.cvut.cz:clopema_folding.git', version: indigo-devel}

Modified OMPL planner

In case you download this package, you have to do this before catkin make:

cd clopema_ompl
. scripts/install_clopema_ompl.sh

This script will download modified ompl library to clopema_ompl package (takes a while, be patient) and install it.
Ignore registration form which occures in browser (simply close browser).
Then you can run catkin_make.

Requires: clopema_testbed
- git: {local-name: clopema_ompl, uri: 'git@clopema.felk.cvut.cz:clopema_ompl.git', version: master}

Add new

Feel free to add any repository (or ask CVUT and we can create one for you)
Please specify your requirement honestly so we can combine packages easily on the other computer.